
# Table of Contents
<!-- vim-markdown-toc GFM -->

* [Requirements](#requirements)
* [Alembic Database Migrations / Upgrades](#alembic-database-migrations--upgrades)
* [Running the Server](#running-the-server)

<!-- vim-markdown-toc -->

# Requirements
* FastAPI
* alembic
* SQLAlchemy
* uvicorn

# Alembic Database Migrations / Upgrades

```bash
alembic upgrade head                            # Upgrade/create database
alembic revision --autogenerate -m "My comment" # Commit/Create new migration script for database changes
```

# Running the Server
```bash
uvicorn app.main:app --reload
```
